/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
/**
 * 
 */
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for SecurityAlertTypeCode
 */
public enum EnumCV_SecurityAlertTypeCode 
{
	NODE_AUTHENTICATION_110126("110126"),
	EMERGENCY_OVERRIDE_STARTED_110127("110127"),
	NETWORK_CONFIGURATION_110128("110128"),
	SECURITY_CONFIGURATION_110129("110129"),
	HARDWARE_CONFIGURATION_110130("110130"),
	SOFTWARE_CONFIGURATION_110131("110131"),
	USE_OF_RESTRICTED_FUNCTION_110132("110132"),
	AUDIT_RECORDING_STOPPED_110133("110133"),
	AUDIT_RECORDING_STARTED_110134("110134"),
	OBJECT_SECURITY_ATTRIBUTES_CHANGED_110135("110135"),
	SECURITY_ROLES_CHANGED_110136("110136"),
	USER_SECURITY_ATTRIBUTES_CHANGED_110137("110137"),
	EMERGENCY_OVERRIDE_STOPPED_110138("110138"),
	REMOTE_SERVICE_OPERATION_STARTED_110139("110139"),
	REMOTE_SERVICE_OPERATION_STOPPED_110140("110140"),
	LOCAL_SERVICE_OPERATION_STARTED_110141("110141"),
	LOCAL_SERVICE_OPERATION_STOPPED_110142("110142");

	private String value;
	
	EnumCV_SecurityAlertTypeCode(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
